Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.state
Class SimplePropertyMap

    java.lang.Object
      org.jboss.portal.common.util.TypedMap
          org.jboss.portal.portlet.state.AbstractPropertyMap
              org.jboss.portal.portlet.state.SimplePropertyMap

All Implemented Interfaces:
  java.util.Map, PropertyMap

    public class SimplePropertyMap

extends AbstractPropertyMap

Version:
  $Revision: 6643 $
Author:
  Julien Viet

Nested Class Summary

Nested classes/interfaces inherited from class org.jboss.portal.common.util.TypedMap
`TypedMap.Converter<E,I>, TypedMap.KeySet, TypedMap.TypedEntrySet, TypedMap.ValueCollection`

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Constructor Summary
`SimplePropertyMap()`
`SimplePropertyMap(int size)`
`SimplePropertyMap(java.util.Map map)`
`SimplePropertyMap(PropertyMap that)`

Method Summary

Methods inherited from class org.jboss.portal.portlet.state.AbstractPropertyMap
`getProperty, setProperty`

Methods inherited from class org.jboss.portal.common.util.TypedMap
`clear, containsKey, containsValue, convert, entrySet, equals, get, getKeyConverter, getValueConverter, isEmpty, keySet, put, putAll, remove, replace, size, toString, validate, values`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Constructor Detail

### SimplePropertyMap

    public SimplePropertyMap()

### SimplePropertyMap

    public SimplePropertyMap(int size)

### SimplePropertyMap

    public SimplePropertyMap(PropertyMap that)

### SimplePropertyMap

    public SimplePropertyMap(java.util.Map map)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD